org.apache.maven.artifact.resolver

## Class ResolutionNode

- java.lang.Object
- - org.apache.maven.artifact.resolver.ResolutionNode

    public class ResolutionNode
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ResolutionNode(Artifact artifact, java.util.List remoteRepositories)`
`ResolutionNode(Artifact artifact, java.util.List remoteRepositories, ResolutionNode parent)`

### Method Summary

Methods
`void` `addDependencies(java.util.Set artifacts, java.util.List remoteRepositories, ArtifactFilter filter)`
`void` `disable()`
`void` `enable()`
`boolean` `filterTrail(ArtifactFilter filter)`
`Artifact` `getArtifact()`
`java.util.Iterator` `getChildrenIterator()`
`java.util.List` `getDependencyTrail()`
`int` `getDepth()`
`java.lang.Object` `getKey()`
`java.util.List` `getRemoteRepositories()`
`boolean` `isActive()`
`boolean` `isChildOfRootNode()`
`boolean` `isResolved()`
`void` `setArtifact(Artifact artifact)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResolutionNode

    public ResolutionNode(Artifact artifact,
                  java.util.List remoteRepositories)

#### ResolutionNode

    public ResolutionNode(Artifact artifact,
                  java.util.List remoteRepositories,
                  ResolutionNode parent)

### Method Detail

#### setArtifact

    public void setArtifact(Artifact artifact)

#### getArtifact

    public Artifact getArtifact()

#### getKey

    public java.lang.Object getKey()

#### addDependencies

    public void addDependencies(java.util.Set artifacts,
                       java.util.List remoteRepositories,
                       ArtifactFilter filter)
                         throws CyclicDependencyException,
                                OverConstrainedVersionException

Throws:
  `CyclicDependencyException`
  `OverConstrainedVersionException`

#### getDependencyTrail

    public java.util.List getDependencyTrail()
                                      throws OverConstrainedVersionException

Returns:
  `List` < `String` > with artifact ids
Throws:
  `OverConstrainedVersionException`

#### isResolved

    public boolean isResolved()

#### isChildOfRootNode

    public boolean isChildOfRootNode()

#### getChildrenIterator

    public java.util.Iterator getChildrenIterator()

#### getDepth

    public int getDepth()

#### getRemoteRepositories

    public java.util.List getRemoteRepositories()

#### isActive

    public boolean isActive()

#### enable

    public void enable()

#### disable

    public void disable()

#### filterTrail

    public boolean filterTrail(ArtifactFilter filter)
                        throws OverConstrainedVersionException

Throws:
  `OverConstrainedVersionException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`